Description

Hi,

Redmine r1646 failed to get svn property when it failed to get svn version.

NoMethodError (You have a nil object when you didn't expect it!

The error occurred while evaluating nil.<):

    /lib/redmine/scm/adapters/subversion_adapter.rb:112:in `properties'

    /app/models/repository.rb:63:in `properties'

(snip)

 Redmine::Scm::Adapters::SubversionAdapter.client_version returns String "Unknown version" when failed to getting svn version.

After that String("Unknown version") compared with Array([1, 5, 0]) at Redmine::Scm::Adapters::SubversionAdapter#properties

        def properties(path, identifier=nil)

          # proplist xml output supported in svn 1.5.0 and higher

          return nil if (self.class.client_version <=> [1, 5, 0]) < 0

 I think that Redmine::Scm::Adapters::SubversionAdapter.client_version should return Array instead of String.

Thanks,

Associated revisions

Revision 1652 - 2008-07-12 11:06 - Jean-Philippe Lang

Fixes nil error when svn binary version is unknown (#1607).

History

#1 - 2008-07-09 14:27 - Hiroyuki Iwatsuki

I wrote:

Redmine r1646 failed to get svn property when it failed to get svn version.

 Not r1646 but r1643 (trunk).

#2 - 2008-07-12 11:05 - Jean-Philippe Lang

- Status changed from New to Closed

Fixed in r1652.
